[arch-commits] Commit in gcr/repos (8 files)

Jan de Groot jgc at archlinux.org
Thu Mar 17 11:31:37 UTC 2016


    Date: Thursday, March 17, 2016 @ 12:31:37
  Author: jgc
Revision: 261976

archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64

Added:
  gcr/repos/gnome-unstable-i686/
  gcr/repos/gnome-unstable-i686/10-gcr.conf
    (from rev 261975, gcr/trunk/10-gcr.conf)
  gcr/repos/gnome-unstable-i686/PKGBUILD
    (from rev 261975, gcr/trunk/PKGBUILD)
  gcr/repos/gnome-unstable-i686/gcr.install
    (from rev 261975, gcr/trunk/gcr.install)
  gcr/repos/gnome-unstable-x86_64/
  gcr/repos/gnome-unstable-x86_64/10-gcr.conf
    (from rev 261975, gcr/trunk/10-gcr.conf)
  gcr/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 261975, gcr/trunk/PKGBUILD)
  gcr/repos/gnome-unstable-x86_64/gcr.install
    (from rev 261975, gcr/trunk/gcr.install)

-----------------------------------+
 gnome-unstable-i686/10-gcr.conf   |    3 ++
 gnome-unstable-i686/PKGBUILD      |   52 ++++++++++++++++++++++++++++++++++++
 gnome-unstable-i686/gcr.install   |   14 +++++++++
 gnome-unstable-x86_64/10-gcr.conf |    3 ++
 gnome-unstable-x86_64/PKGBUILD    |   52 ++++++++++++++++++++++++++++++++++++
 gnome-unstable-x86_64/gcr.install |   14 +++++++++
 6 files changed, 138 insertions(+)

Copied: gcr/repos/gnome-unstable-i686/10-gcr.conf (from rev 261975, gcr/trunk/10-gcr.conf)
===================================================================
--- gnome-unstable-i686/10-gcr.conf	                        (rev 0)
+++ gnome-unstable-i686/10-gcr.conf	2016-03-17 11:31:37 UTC (rev 261976)
@@ -0,0 +1,3 @@
+ at users - memlock 1024
+
+# vim:set ft=limits:

Copied: gcr/repos/gnome-unstable-i686/PKGBUILD (from rev 261975, gcr/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-i686/PKGBUILD	                        (rev 0)
+++ gnome-unstable-i686/PKGBUILD	2016-03-17 11:31:37 UTC (rev 261976)
@@ -0,0 +1,52 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gcr
+pkgver=3.19.4
+pkgrel=1
+pkgdesc="A library for bits of crypto UI and parsing"
+arch=(i686 x86_64)
+url="http://www.gnome.org"
+license=('GPL2')
+depends=('dconf' 'desktop-file-utils' 'gtk3' 'hicolor-icon-theme' 'libgcrypt'
+         'p11-kit')
+makedepends=('intltool' 'gobject-introspection' 'python' 'vala' 'libxslt')
+options=('!makeflags')
+install=gcr.install
+source=(http://download.gnome.org/sources/$pkgname/${pkgver:0:4}/$pkgname-$pkgver.tar.xz
+        10-gcr.conf)
+sha256sums=('e4416664a4b781f18ee07f0124a2b1bd51436d7064bd94f980eede69e40caf30'
+            '5f2eda7175ae9f23ee0e09d2beceb24fd2f6daafd7bddfcc1c1f5a3734eb60fc')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+}
+
+build() {
+  cd "$pkgname-$pkgver"
+  ./configure --prefix=/usr \
+    --libexec=/usr/lib/gcr \
+    --disable-static \
+    --disable-update-mime \
+    --disable-schemas-compile
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd "$pkgname-$pkgver"
+  PATH="$srcdir/path:$PATH" dbus-run-session make -k check || :
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+  make DESTDIR="$pkgdir" install
+
+  # gcr wants to lock some memory to prevent swapping out private keys
+  # https://bugs.archlinux.org/task/32616
+  # https://bugzilla.gnome.org/show_bug.cgi?id=688161
+  install -Dm644 ../10-gcr.conf "$pkgdir/etc/security/limits.d/10-gcr.conf"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: gcr/repos/gnome-unstable-i686/gcr.install (from rev 261975, gcr/trunk/gcr.install)
===================================================================
--- gnome-unstable-i686/gcr.install	                        (rev 0)
+++ gnome-unstable-i686/gcr.install	2016-03-17 11:31:37 UTC (rev 261976)
@@ -0,0 +1,14 @@
+post_install () {
+    glib-compile-schemas /usr/share/glib-2.0/schemas
+    gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
+    update-mime-database /usr/share/mime &> /dev/null
+    update-desktop-database -q
+}
+
+post_upgrade () {
+    post_install
+}
+
+post_remove() {
+    post_install
+}

Copied: gcr/repos/gnome-unstable-x86_64/10-gcr.conf (from rev 261975, gcr/trunk/10-gcr.conf)
===================================================================
--- gnome-unstable-x86_64/10-gcr.conf	                        (rev 0)
+++ gnome-unstable-x86_64/10-gcr.conf	2016-03-17 11:31:37 UTC (rev 261976)
@@ -0,0 +1,3 @@
+ at users - memlock 1024
+
+# vim:set ft=limits:

Copied: gcr/repos/gnome-unstable-x86_64/PKGBUILD (from rev 261975, gcr/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD	                        (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD	2016-03-17 11:31:37 UTC (rev 261976)
@@ -0,0 +1,52 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gcr
+pkgver=3.19.4
+pkgrel=1
+pkgdesc="A library for bits of crypto UI and parsing"
+arch=(i686 x86_64)
+url="http://www.gnome.org"
+license=('GPL2')
+depends=('dconf' 'desktop-file-utils' 'gtk3' 'hicolor-icon-theme' 'libgcrypt'
+         'p11-kit')
+makedepends=('intltool' 'gobject-introspection' 'python' 'vala' 'libxslt')
+options=('!makeflags')
+install=gcr.install
+source=(http://download.gnome.org/sources/$pkgname/${pkgver:0:4}/$pkgname-$pkgver.tar.xz
+        10-gcr.conf)
+sha256sums=('e4416664a4b781f18ee07f0124a2b1bd51436d7064bd94f980eede69e40caf30'
+            '5f2eda7175ae9f23ee0e09d2beceb24fd2f6daafd7bddfcc1c1f5a3734eb60fc')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+}
+
+build() {
+  cd "$pkgname-$pkgver"
+  ./configure --prefix=/usr \
+    --libexec=/usr/lib/gcr \
+    --disable-static \
+    --disable-update-mime \
+    --disable-schemas-compile
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd "$pkgname-$pkgver"
+  PATH="$srcdir/path:$PATH" dbus-run-session make -k check || :
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+  make DESTDIR="$pkgdir" install
+
+  # gcr wants to lock some memory to prevent swapping out private keys
+  # https://bugs.archlinux.org/task/32616
+  # https://bugzilla.gnome.org/show_bug.cgi?id=688161
+  install -Dm644 ../10-gcr.conf "$pkgdir/etc/security/limits.d/10-gcr.conf"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: gcr/repos/gnome-unstable-x86_64/gcr.install (from rev 261975, gcr/trunk/gcr.install)
===================================================================
--- gnome-unstable-x86_64/gcr.install	                        (rev 0)
+++ gnome-unstable-x86_64/gcr.install	2016-03-17 11:31:37 UTC (rev 261976)
@@ -0,0 +1,14 @@
+post_install () {
+    glib-compile-schemas /usr/share/glib-2.0/schemas
+    gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
+    update-mime-database /usr/share/mime &> /dev/null
+    update-desktop-database -q
+}
+
+post_upgrade () {
+    post_install
+}
+
+post_remove() {
+    post_install
+}



More information about the arch-commits mailing list